> ## Documentation Index
> Fetch the complete documentation index at: https://developer.fieldnode.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Rfq

> Get RFQ by id.



## OpenAPI

````yaml /api/openapi.json get /v1/rfqs/{id}
openapi: 3.1.0
info:
  title: Fieldnode API
  version: v1
  contact:
    name: Support
    url: https://fieldnode.com
    email: support@fieldnode.com
servers:
  - url: https://api.lab.fieldnode.dev
    description: Lab
    variables: {}
  - url: https://api.sandbox.fieldnode.dev
    description: Sandbox
    variables: {}
  - url: https://api.fieldnode.app
    description: Production
    variables: {}
security:
  - BearerAuth: []
tags:
  - name: Process
  - name: Standard
  - name: Material
  - name: Org
  - name: Upload
  - name: Part
  - name: Factory
  - name: Category
  - name: Criticality
  - name: Rfq
  - name: Offer
paths:
  /v1/rfqs/{id}:
    get:
      tags:
        - Rfq
      summary: Get Rfq
      description: Get RFQ by id.
      operationId: getRfq
      parameters:
        - name: id
          in: path
          required: true
          description: Rfq id.
          schema:
            type: string
      responses:
        '200':
          description: The request has succeeded.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Rfq'
        default:
          description: An unexpected error response.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Error'
components:
  schemas:
    Rfq:
      type: object
      required:
        - id
        - state
        - partId
      properties:
        id:
          type: string
          description: Rfq id.
        state:
          $ref: '#/components/schemas/RfqState'
          description: State of the RFQ.
        partId:
          type: string
          description: Part id this RFQ is for.
        quantity:
          type: integer
          format: int32
          description: Requested quantity.
        maxLeadTime:
          type: integer
          format: int32
          description: Maximum lead time in days.
        deadlineTime:
          type: string
          format: date-time
          description: Deadline for offers.
        expireTime:
          type: string
          format: date-time
          description: Time when the RFQ expires.
    Error:
      type: object
      required:
        - status
        - message
      properties:
        status:
          type: integer
        message:
          type: string
    RfqState:
      type: string
      enum:
        - DRAFT
        - ONGOING
        - RESPONDED
        - REVIEW
        - UNFULFILLED
        - SUCCESSFUL
        - QUOTE_RECEIVED
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Token

````